diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/model/openflow-switch-net-device.h ns-3.44/src/openflow/model/openflow-switch-net-device.h
--- ns-3.43/src/openflow/model/openflow-switch-net-device.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/model/openflow-switch-net-device.h	2025-03-09 16:55:49.683372300 -0700
@@ -5,7 +5,7 @@
  */
 
 /**
- * \defgroup openflow OpenFlow Switch Device
+ * @defgroup openflow OpenFlow Switch Device
  * This section documents the API of the ns-3 OpenFlow module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
@@ -38,8 +38,8 @@
 {
 
 /**
- * \ingroup openflow
- * \brief A net device that switches multiple LAN segments via an OpenFlow-compatible flow table
+ * @ingroup openflow
+ * @brief A net device that switches multiple LAN segments via an OpenFlow-compatible flow table
  *
  * The OpenFlowSwitchNetDevice object aggregates multiple netdevices as ports
  * and acts like a switch. It implements OpenFlow-compatibility,
@@ -57,37 +57,37 @@
  * frames from one port may occasionally be forwarded throughout all other ports,
  * but usually they are forwarded only to a single correct output port.
  *
- * \attention The Spanning Tree Protocol part of 802.1D is not
+ * @attention The Spanning Tree Protocol part of 802.1D is not
  * implemented.  Therefore, you have to be careful not to create
  * bridging loops, or else the network will collapse.
  *
- * \attention Each NetDevice used must only be assigned a Mac Address, adding it
+ * @attention Each NetDevice used must only be assigned a Mac Address, adding it
  * to an Ipv4 or Ipv6 layer will cause an error. It also must support a SendFrom
  * call.
  */
 
 /**
- * \ingroup openflow
- * \ingroup tests
- * \defgroup openflow-tests OpenFlow module tests
+ * @ingroup openflow
+ * @ingroup tests
+ * @defgroup openflow-tests OpenFlow module tests
  */
 
 /**
- * \ingroup openflow
- * \brief A net device that switches multiple LAN segments via an OpenFlow-compatible flow table
+ * @ingroup openflow
+ * @brief A net device that switches multiple LAN segments via an OpenFlow-compatible flow table
  */
 class OpenFlowSwitchNetDevice : public NetDevice
 {
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \name Descriptive Data
-     * \brief OpenFlowSwitchNetDevice Description Data
+     * @name Descriptive Data
+     * @brief OpenFlowSwitchNetDevice Description Data
      *
      * These four data describe the OpenFlowSwitchNetDevice as if it were
      * a real OpenFlow switch.
@@ -98,7 +98,7 @@
      * OpenFlow Switch", and the other two are "N/A".
      * @{
      */
-    /** \returns The descriptive string. */
+    /** @returns The descriptive string. */
     static const char* GetManufacturerDescription();
     static const char* GetHardwareDescription();
     static const char* GetSoftwareDescription();
@@ -109,32 +109,32 @@
     ~OpenFlowSwitchNetDevice() override;
 
     /**
-     * \brief Set up the Switch's controller connection.
+     * @brief Set up the Switch's controller connection.
      *
-     * \param c Pointer to a Controller.
+     * @param c Pointer to a Controller.
      */
     void SetController(Ptr<ofi::Controller> c);
 
     /**
-     * \brief Add a 'port' to a switch device
+     * @brief Add a 'port' to a switch device
      *
      * This method adds a new switch port to a OpenFlowSwitchNetDevice, so that
      * the new switch port NetDevice becomes part of the switch and L2
      * frames start being forwarded to/from this NetDevice.
      *
-     * \note The netdevice that is being added as switch port must
+     * @note The netdevice that is being added as switch port must
      * _not_ have an IP address.  In order to add IP connectivity to a
      * bridging node you must enable IP on the OpenFlowSwitchNetDevice itself,
      * never on its port netdevices.
      *
-     * \param switchPort The port to add.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param switchPort The port to add.
+     * @return 0 if everything's ok, otherwise an error number.
      * Possible error numbers: EXFULL
      */
     int AddSwitchPort(Ptr<NetDevice> switchPort);
 
     /**
-     * \brief Add a virtual port to a switch device
+     * @brief Add a virtual port to a switch device
      *
      * The Ericsson OFSID has the concept of virtual ports and virtual
      * port tables. These are implemented in the OpenFlowSwitchNetDevice, but
@@ -143,40 +143,40 @@
      *
      * Possible error numbers: EINVAL
      *
-     * \param ovpm The data for adding a virtual port.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param ovpm The data for adding a virtual port.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int AddVPort(const ofp_vport_mod* ovpm);
 
     /**
-     * \brief Stats callback is ready for a dump.
+     * @brief Stats callback is ready for a dump.
      *
      * Controllers have a callback system for status requests which calls this function.
      *
-     * \param cb_ The callback data.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param cb_ The callback data.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int StatsDump(ofi::StatsDumpCallback* cb_);
 
     /**
-     * \brief Stats callback is done.
+     * @brief Stats callback is done.
      *
      * Controllers have a callback system for status requests which calls this function.
      *
-     * \param cb_ The callback data.
+     * @param cb_ The callback data.
      */
     void StatsDone(ofi::StatsDumpCallback* cb_);
 
     /**
-     * \brief Called from the OpenFlow Interface to output the Packet on either a Port or the
+     * @brief Called from the OpenFlow Interface to output the Packet on either a Port or the
      * Controller
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param in_port The index of the port the Packet was initially received on.
-     * \param max_len The maximum number of bytes the caller wants to be sent; a value of 0
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param in_port The index of the port the Packet was initially received on.
+     * @param max_len The maximum number of bytes the caller wants to be sent; a value of 0
      * indicates the entire packet should be sent. Used when outputting to controller.
-     * \param out_port The port we want to output on.
-     * \param ignore_no_fwd If true, Ports that are set to not forward are forced to forward.
+     * @param out_port The port we want to output on.
+     * @param ignore_no_fwd If true, Ports that are set to not forward are forced to forward.
      */
     void DoOutput(uint32_t packet_uid,
                   int in_port,
@@ -185,38 +185,38 @@
                   bool ignore_no_fwd);
 
     /**
-     * \brief The registered controller calls this method when sending a message to the switch.
+     * @brief The registered controller calls this method when sending a message to the switch.
      *
-     * \param msg The message received from the controller.
-     * \param length Length of the message.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param msg The message received from the controller.
+     * @param length Length of the message.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int ForwardControlInput(const void* msg, size_t length);
 
     /**
-     * \return The flow table chain.
+     * @return The flow table chain.
      */
     sw_chain* GetChain();
 
     /**
-     * \return Number of switch ports attached to this switch.
+     * @return Number of switch ports attached to this switch.
      */
     uint32_t GetNSwitchPorts() const;
 
     /**
-     * \param p The Port to get the index of.
-     * \return The index of the provided Port.
+     * @param p The Port to get the index of.
+     * @return The index of the provided Port.
      */
     int GetSwitchPortIndex(ofi::Port p);
 
     /**
-     * \param n index of the Port.
-     * \return The Port.
+     * @param n index of the Port.
+     * @return The Port.
      */
     ofi::Port GetSwitchPort(uint32_t n) const;
 
     /**
-     * \return The virtual port table.
+     * @return The virtual port table.
      */
     vport_table_t GetVPortTable();
 
@@ -255,12 +255,12 @@
     /**
      * Called when a packet is received on one of the switch's ports.
      *
-     * \param netdev The port the packet was received on.
-     * \param packet The Packet itself.
-     * \param protocol The protocol defining the Packet.
-     * \param src The source address of the Packet.
-     * \param dst The destination address of the Packet.
-     * \param packetType Type of the packet.
+     * @param netdev The port the packet was received on.
+     * @param packet The Packet itself.
+     * @param protocol The protocol defining the Packet.
+     * @param src The source address of the Packet.
+     * @param dst The destination address of the Packet.
+     * @param packetType Type of the packet.
      */
     void ReceiveFromDevice(Ptr<NetDevice> netdev,
                            Ptr<const Packet> packet,
@@ -273,12 +273,12 @@
      * Takes a packet and generates an OpenFlow buffer from it, loading the packet data as well as
      * its headers.
      *
-     * \param packet The packet.
-     * \param src The source address.
-     * \param dst The destination address.
-     * \param mtu The Maximum Transmission Unit.
-     * \param protocol The protocol defining the packet.
-     * \return The OpenFlow Buffer created from the packet.
+     * @param packet The packet.
+     * @param src The source address.
+     * @param dst The destination address.
+     * @param mtu The Maximum Transmission Unit.
+     * @param protocol The protocol defining the packet.
+     * @return The OpenFlow Buffer created from the packet.
      */
     ofpbuf* BufferFromPacket(Ptr<const Packet> packet,
                              Address src,
@@ -292,35 +292,35 @@
      *
      * Possible error numbers: ENOMEM, ENOBUFS, ESRCH
      *
-     * \param ofm The flow data to add.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param ofm The flow data to add.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int AddFlow(const ofp_flow_mod* ofm);
 
     /**
      * Modify a flow.
      *
-     * \param ofm The flow data to modify.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param ofm The flow data to modify.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int ModFlow(const ofp_flow_mod* ofm);
 
     /**
      * Send packets out all the ports except the originating one
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param in_port The index of the port the Packet was initially received on. This port doesn't
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param in_port The index of the port the Packet was initially received on. This port doesn't
      * forward when flooding.
-     * \param flood If true, don't send out on the ports with flooding disabled.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param flood If true, don't send out on the ports with flooding disabled.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int OutputAll(uint32_t packet_uid, int in_port, bool flood);
 
     /**
      * Sends a copy of the Packet over the provided output port
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param out_port Output port.
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param out_port Output port.
      */
     void OutputPacket(uint32_t packet_uid, int out_port);
 
@@ -330,10 +330,10 @@
      * pre-set types of port options besides a Port that's hooked to our OpenFlowSwitchNetDevice.
      * For example, it could be outputting as a flood, or seeking to output to the controller.
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param in_port The index of the port the Packet was initially received on.
-     * \param out_port The port we want to output on.
-     * \param ignore_no_fwd If true, Ports that are set to not forward are forced to forward.
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param in_port The index of the port the Packet was initially received on.
+     * @param out_port The port we want to output on.
+     * @param ignore_no_fwd If true, Ports that are set to not forward are forced to forward.
      */
     void OutputPort(uint32_t packet_uid, int in_port, int out_port, bool ignore_no_fwd);
 
@@ -342,21 +342,21 @@
      * in an OpenFlow buffer, then only the first 'max_len' bytes of the packet
      * are sent; otherwise, all of the packet is sent.
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param in_port The index of the port the Packet was initially received on.
-     * \param max_len The maximum number of bytes that the caller wants to be sent; a value of 0
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param in_port The index of the port the Packet was initially received on.
+     * @param max_len The maximum number of bytes that the caller wants to be sent; a value of 0
      * indicates the entire packet should be sent.
-     * \param reason Why the packet is being sent.
+     * @param reason Why the packet is being sent.
      */
     void OutputControl(uint32_t packet_uid, int in_port, size_t max_len, int reason);
 
     /**
      * If an error message happened during the controller's request, send it to the controller.
      *
-     * \param type The type of error.
-     * \param code The error code.
-     * \param data The faulty data that lead to the error.
-     * \param len The length of the faulty data.
+     * @param type The type of error.
+     * @param code The error code.
+     * @param data The faulty data that lead to the error.
+     * @param len The length of the faulty data.
      */
     void SendErrorMsg(uint16_t type, uint16_t code, const void* data, size_t len);
 
@@ -377,7 +377,7 @@
      * setting the IP source address and destination, setting the TCP/UDP source address
      * and destination, and setting the MPLS label and EXP bits.
      *
-     * \attention Capabilities STP (Spanning Tree Protocol) and IP packet
+     * @attention Capabilities STP (Spanning Tree Protocol) and IP packet
      * reassembly are not currently supported.
      *
      */
@@ -386,16 +386,16 @@
     /**
      * Send a reply to the controller that a specific flow has expired.
      *
-     * \param flow The flow that expired.
-     * \param reason The reason for sending this expiration notification.
+     * @param flow The flow that expired.
+     * @param reason The reason for sending this expiration notification.
      */
     void SendFlowExpired(sw_flow* flow, ofp_flow_expired_reason reason);
 
     /**
      * Send a reply about a Port's status to the controller.
      *
-     * \param p The port to get status from.
-     * \param status The reason for sending this reply.
+     * @param p The port to get status from.
+     * @param status The reason for sending this reply.
      */
     void SendPortStatus(ofi::Port p, uint8_t status);
 
@@ -410,8 +410,8 @@
      * sending. The other Send methods call this one when they
      * are ready to send a message.
      *
-     * \param buffer Buffer of the message to send out.
-     * \return 0 if successful, otherwise an error number.
+     * @param buffer Buffer of the message to send out.
+     * @return 0 if successful, otherwise an error number.
      */
     int SendOpenflowBuffer(ofpbuf* buffer);
 
@@ -419,9 +419,9 @@
      * Run the packet through the flow table. Looks up in the flow table for a match.
      * If it doesn't match, it forwards the packet to the registered controller, if the flag is set.
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param port The port this packet was received over.
-     * \param send_to_controller If set, sends to the controller if the packet isn't matched.
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param port The port this packet was received over.
+     * @param send_to_controller If set, sends to the controller if the packet isn't matched.
      */
     void RunThroughFlowTable(uint32_t packet_uid, int port, bool send_to_controller = true);
 
@@ -429,10 +429,10 @@
      * Run the packet through the vport table. As with AddVPort,
      * this doesn't have an understood use yet.
      *
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param port The port this packet was received over.
-     * \param vport The virtual port this packet identifies itself by.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param port The port this packet was received over.
+     * @param vport The virtual port this packet identifies itself by.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int RunThroughVPortTable(uint32_t packet_uid, int port, uint32_t vport);
 
@@ -440,11 +440,11 @@
      * Called by RunThroughFlowTable on a scheduled delay
      * to account for the flow table lookup overhead.
      *
-     * \param key Matching key to look up in the flow table.
-     * \param buffer Buffer of the packet received.
-     * \param packet_uid Packet UID; used to fetch the packet and its metadata.
-     * \param port The port the packet was received over.
-     * \param send_to_controller
+     * @param key Matching key to look up in the flow table.
+     * @param buffer Buffer of the packet received.
+     * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+     * @param port The port the packet was received over.
+     * @param send_to_controller
      */
     void FlowTableLookup(sw_flow_key key,
                          ofpbuf* buffer,
@@ -456,8 +456,8 @@
      * Update the port status field of the switch port.
      * A non-zero return value indicates some field has changed.
      *
-     * \param p A reference to a Port; used to change its config and flag fields.
-     * \return true if the status of the Port is changed, false if unchanged (was already the right
+     * @param p A reference to a Port; used to change its config and flag fields.
+     * @return true if the status of the Port is changed, false if unchanged (was already the right
      * status).
      */
     int UpdatePortStatus(ofi::Port& p);
@@ -465,8 +465,8 @@
     /**
      * Fill out a description of the switch port.
      *
-     * \param p The port to get the description from.
-     * \param desc A pointer to the description message; used to fill the description message with
+     * @param p The port to get the description from.
+     * @param desc A pointer to the description message; used to fill the description message with
      * the data from the port.
      */
     void FillPortDesc(ofi::Port p, ofp_phy_port* desc);
@@ -474,23 +474,23 @@
     /**
      * Generates an OpenFlow reply message based on the type.
      *
-     * \param openflow_len Length of the reply to make.
-     * \param type Type of reply message to make.
-     * \param bufferp Message buffer; used to make the reply.
-     * \return The OpenFlow reply message.
+     * @param openflow_len Length of the reply to make.
+     * @param type Type of reply message to make.
+     * @param bufferp Message buffer; used to make the reply.
+     * @return The OpenFlow reply message.
      */
     void* MakeOpenflowReply(size_t openflow_len, uint8_t type, ofpbuf** bufferp);
 
     /**
-     * \name Receive Methods
+     * @name Receive Methods
      *
      * Actions to do when a specific OpenFlow message/packet is received
      *
      * @{
      */
     /**
-     * \param msg The OpenFlow message received.
-     * \return 0 if everything's ok, otherwise an error number.
+     * @param msg The OpenFlow message received.
+     * @return 0 if everything's ok, otherwise an error number.
      */
     int ReceivePortMod(const void* msg);
     int ReceiveFeaturesRequest(const void* msg);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/test/openflow-switch-test-suite.cc ns-3.44/src/openflow/test/openflow-switch-test-suite.cc
--- ns-3.43/src/openflow/test/openflow-switch-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/test/openflow-switch-test-suite.cc	2025-03-09 16:55:49.683372300 -0700
@@ -16,9 +16,9 @@
 using namespace ns3;
 
 /**
- * \ingroup openflow-tests
+ * @ingroup openflow-tests
  *
- * \brief OpenFlow Test
+ * @brief OpenFlow Test
  */
 class SwitchFlowTableTestCase : public TestCase
 {
@@ -182,9 +182,9 @@
 }
 
 /**
- * \ingroup openflow-tests
+ * @ingroup openflow-tests
  *
- * \brief OpenFlow TestSuite
+ * @brief OpenFlow TestSuite
  */
 class SwitchTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/CMakeLists.txt ns-3.44/src/point-to-point/CMakeLists.txt
--- ns-3.43/src/point-to-point/CMakeLists.txt	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/point-to-point/CMakeLists.txt	2025-03-09 16:55:49.683372300 -0700
@@ -11,7 +11,7 @@
   )
   set(mpi_libraries
       ${libmpi}
-      ${MPI_CXX_LIBRARIES}
+      MPI::MPI_CXX
   )
 endif()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/helper/point-to-point-helper.h ns-3.44/src/point-to-point/helper/point-to-point-helper.h
--- ns-3.43/src/point-to-point/helper/point-to-point-helper.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/helper/point-to-point-helper.h	2025-03-09 16:55:49.683372300 -0700
@@ -23,7 +23,7 @@
 class Node;
 
 /**
- * \brief Build a set of PointToPointNetDevice objects
+ * @brief Build a set of PointToPointNetDevice objects
  *
  * Normally we eschew multiple inheritance, however, the classes
  * PcapUserHelperForDevice and AsciiTraceUserHelperForDevice are
@@ -47,9 +47,9 @@
      * This method allows one to set the type of the queue that is automatically
      * created when the device is created and attached to a node.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of queue
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of queue
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * Set the type of queue to create and associated to each
      * PointToPointNetDevice created through PointToPointHelper::Install.
@@ -61,8 +61,8 @@
      * Set an attribute value to be propagated to each NetDevice created by the
      * helper.
      *
-     * \param name the name of the attribute to set
-     * \param value the value of the attribute to set
+     * @param name the name of the attribute to set
+     * @param value the value of the attribute to set
      *
      * Set these attributes on each ns3::PointToPointNetDevice created
      * by PointToPointHelper::Install
@@ -73,8 +73,8 @@
      * Set an attribute value to be propagated to each Channel created by the
      * helper.
      *
-     * \param name the name of the attribute to set
-     * \param value the value of the attribute to set
+     * @param name the name of the attribute to set
+     * @param value the value of the attribute to set
      *
      * Set these attribute on each ns3::PointToPointChannel created
      * by PointToPointHelper::Install
@@ -92,8 +92,8 @@
     void DisableFlowControl();
 
     /**
-     * \param c a set of nodes
-     * \return a NetDeviceContainer for nodes
+     * @param c a set of nodes
+     * @return a NetDeviceContainer for nodes
      *
      * This method creates a ns3::PointToPointChannel with the
      * attributes configured by PointToPointHelper::SetChannelAttribute,
@@ -105,9 +105,9 @@
     NetDeviceContainer Install(NodeContainer c);
 
     /**
-     * \param a first node
-     * \param b second node
-     * \return a NetDeviceContainer for nodes
+     * @param a first node
+     * @param b second node
+     * @return a NetDeviceContainer for nodes
      *
      * Saves you from having to construct a temporary NodeContainer.
      * Also, if MPI is enabled, for distributed simulations,
@@ -116,27 +116,27 @@
     NetDeviceContainer Install(Ptr<Node> a, Ptr<Node> b);
 
     /**
-     * \param a first node
-     * \param bName name of second node
-     * \return a NetDeviceContainer for nodes
+     * @param a first node
+     * @param bName name of second node
+     * @return a NetDeviceContainer for nodes
      *
      * Saves you from having to construct a temporary NodeContainer.
      */
     NetDeviceContainer Install(Ptr<Node> a, std::string bName);
 
     /**
-     * \param aName Name of first node
-     * \param b second node
-     * \return a NetDeviceContainer for nodes
+     * @param aName Name of first node
+     * @param b second node
+     * @return a NetDeviceContainer for nodes
      *
      * Saves you from having to construct a temporary NodeContainer.
      */
     NetDeviceContainer Install(std::string aName, Ptr<Node> b);
 
     /**
-     * \param aNode Name of first node
-     * \param bNode Name of second node
-     * \return a NetDeviceContainer for nodes
+     * @param aNode Name of first node
+     * @param bNode Name of second node
+     * @return a NetDeviceContainer for nodes
      *
      * Saves you from having to construct a temporary NodeContainer.
      */
@@ -144,15 +144,15 @@
 
   private:
     /**
-     * \brief Enable pcap output the indicated net device.
+     * @brief Enable pcap output the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param promiscuous If true capture all possible packets available at the device.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param prefix Filename prefix to use for pcap files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param promiscuous If true capture all possible packets available at the device.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnablePcapInternal(std::string prefix,
                             Ptr<NetDevice> nd,
@@ -160,15 +160,15 @@
                             bool explicitFilename) override;
 
     /**
-     * \brief Enable ascii trace output on the indicated net device.
+     * @brief Enable ascii trace output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param stream The output stream object to use when logging ascii traces.
-     * \param prefix Filename prefix to use for ascii trace files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param stream The output stream object to use when logging ascii traces.
+     * @param prefix Filename prefix to use for ascii trace files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnableAsciiInternal(Ptr<OutputStreamWrapper> stream,
                              std::string prefix,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/model/point-to-point-channel.cc ns-3.44/src/point-to-point/model/point-to-point-channel.cc
--- ns-3.43/src/point-to-point/model/point-to-point-channel.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/model/point-to-point-channel.cc	2025-03-09 16:55:49.683372300 -0700
@@ -47,7 +47,7 @@
 // has an "infitely" fast transmission speed and zero delay.
 PointToPointChannel::PointToPointChannel()
     : Channel(),
-      m_delay(Seconds(0.)),
+      m_delay(),
       m_nDevices(0)
 {
     NS_LOG_FUNCTION_NOARGS();
